      function vwnf2(n,x)

c  this subroutine written by alain st-amant of the department of
c  pharmaceutical chemistry, university of california, san francisco.
c  all rights reserved.  this is part of the DeFT project.

      implicit real*8(a-h,o-z)

      dimension a(3),b(3),c(3),d(3)

      data one,two/1.0d0,2.0d0/

      data a(1),b(1),c(1),d(1)/ 0.0621814d0,3.72744d0,
     &                         12.9352d0,-0.1049800d0/
      data a(2),b(2),c(2),d(2)/ 0.0310907d0,7.06042d0,
     &                         18.0578d0,-0.3250000d0/
      data a(3),b(3),c(3),d(3)/-0.0337737d0,1.13107d0,
     &                         13.0045d0,-0.0047584d0/

      vwnf2=two*a(n)*(one/x-(one+b(n)/(x-d(n)))*x/(x*x+x*b(n)+c(n)))

      return
      end
